
/**
 * Write a description of class Vehiculo here.
 *
 * @author (your name)
 * @version (a version number or a date)
 */
public abstract class Vehiculo implements Posicion{
    // instance variables - replace the example below with your own
    protected int x; 
    protected int y;

    /**
     * Constructor for objects of class Vehiculo
     */
    public Vehiculo(double x, double y) {
     this.x = (int) x;
     this.y = (int) y;
       
    }
    public double obtenerCoordenadaX(){
        
        return x;
    }
    public double obtenerCoordenadaY(){
        
        return y;
    }

}